| RDB 2

Public Types | Public Member Functions | Public Attributes | List of all members
riegl::rdb::pointcloud::GraphNode Class Reference

Graph Node. More...

`#include <graphNode.hpp>`

## Public Types
typedef std::uint32_t | ID
typedef std::uint64_t | PointCount

## Public Member Functions
| operator ID () const
| return node identifier More...
| GraphNode ()

## Public Attributes
ID | id
| unique node identifier (zero is invalid) More...
Transaction::ID | revision
| ID of last transaction that has modified any attribute of this branch. More...
std::vector< GraphNode > | children
| list of child nodes (without grandchildren) More...
PointCount | pointCountTotal
| total number of points in all leaf nodes of the branch More...
PointCount | pointCountNode
| number of points in this node (see notes about LOD) More...

## Detailed Description

Graph Node.

This class represents an index graph node. The index structure is used to organize the point cloud and consists of at least one node.

The index space is given by the primary point attribute defined during point cloud database creation (see class CreateSettings).

Each graph node covers a certain range of the index space and has a number of sub-nodes (aka. "child nodes"). All child nodes lie within the range of the parent node whereas they are usually smaller. A node without child nodes is called a leaf node. Note that any nodes may overlap in index space as well as all other point dimensions (attributes).

This documentation uses the term "branch" for a node and all children and grandchildren up to and including the leaf nodes.

See also
  riegl::rdb::Pointcloud::stat()

Examples:
  rdb-example-06-database-stat.cpp.

Definition at line 75 of file graphNode.hpp.

## Member Typedef Documentation

## ◆ ID

typedef std::uint32_t riegl::rdb::pointcloud::GraphNode::ID

Definition at line 78 of file graphNode.hpp.

## ◆ PointCount

typedef std::uint64_t riegl::rdb::pointcloud::GraphNode::PointCount

Definition at line 79 of file graphNode.hpp.

## Constructor & Destructor Documentation

## ◆ GraphNode()

riegl::rdb::pointcloud::GraphNode::GraphNode | ( |  | ) |

## Member Function Documentation

## ◆ operator ID()

riegl::rdb::pointcloud::GraphNode::operator ID | ( |  | ) | const
| inline

return node identifier

Definition at line 88 of file graphNode.hpp.

## Member Data Documentation

## ◆ children

std::vector<GraphNode> riegl::rdb::pointcloud::GraphNode::children

list of child nodes (without grandchildren)

Definition at line 83 of file graphNode.hpp.

## ◆ id

ID riegl::rdb::pointcloud::GraphNode::id

unique node identifier (zero is invalid)

Definition at line 81 of file graphNode.hpp.

## ◆ pointCountNode

PointCount riegl::rdb::pointcloud::GraphNode::pointCountNode

number of points in this node (see notes about LOD)

Definition at line 85 of file graphNode.hpp.

## ◆ pointCountTotal

PointCount riegl::rdb::pointcloud::GraphNode::pointCountTotal

total number of points in all leaf nodes of the branch

Examples:
  rdb-example-06-database-stat.cpp.

Definition at line 84 of file graphNode.hpp.

## ◆ revision

Transaction::ID riegl::rdb::pointcloud::GraphNode::revision

ID of last transaction that has modified any attribute of this branch.

Definition at line 82 of file graphNode.hpp.

The documentation for this class was generated from the following file:

- riegl/rdb/pointcloud/graphNode.hpp